pentestenv Cookbook - [![Cookbook Version](https://img.shields.io/cookbook/v/pentestenv.svg)](https://community.opscode.com/cookbooks/pentestenv) [![Build Status](https://travis-ci.org/sliim-cookbooks/pentestenv.svg?branch=master)](https://travis-ci.org/sliim-cookbooks/pentestenv)
================
The [Pentest-env](https://github.com/Sliim/pentest-env) Cookbook

Installs pentest-env and configures pentestrc resources files.

Requirements
------------
#### Platforms
The following platforms and versions are tested and supported using Opscode's test-kitchen.
- `Debian 9`
- `Ubuntu 16.04`

Attributes
----------
#### pentestenv::default
| Key                         | Type   |  Description                                                             |
| --------------------------- | ------ | ------------------------------------------------------------------------ |
| `[pentestenv][install_dir]` | String | Installation directory (default: `/usr/local/share/pentest-env`)         |
| `[pentestenv][bin_script]`  | String | pentest-env symlink location (default: `/usr/local/bin/pentest-env`)     |
| `[pentestenv][repository]`  | String | pentest-env repository (default: `https://github.com/Sliim/pentest-env`) |
| `[pentestenv][reference]`   | String | pentest-env repository branch or tag (default: `master`)                 |
| `[pentestenv][resources]`   | Hash   | Hash of pentestrc resources to deploy (default: `{}`)                    |

Usage
-----
#### pentestenv::default
Include the `pentestenv` recipe in your run_list to install pentest-env:

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[pentestenv]"
  ]
}
```

LWRP
----
#### pentestenv_rc
You can use the `pentestenv_rc` LWRP to configure pentestrc resource files:
```
pentestenv_rc '/root/.pentestrc' do
  owner 'root'
  group 'root'
  mode '0600'
  config { instances: %w(kali) }
end
```

Testing
-------
See [TESTING.md](TESTING.md)

Contributing
------------
See [CONTRIBUTING.md](CONTRIBUTING.md)

## License and Authors

Authors: Sliim <sliim@mailoo.org>

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

