# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentestenv
# Resource:: rc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

resource_name :pentestenv_rc
provides :pentestenv_rc
default_action :create

property :path, String, name_property: true
property :owner, String, default: 'root'
property :group, String, default: 'root'
property :cookbook, String, default: 'pentestenv'
property :source, String, default: 'rc.erb'
property :mode, String, default: '0644'
property :config, Hash, default: {}

def whyrun_supported?
  true
end

action :create do
  template new_resource.path do
    owner new_resource.owner
    group new_resource.group
    cookbook new_resource.cookbook
    source new_resource.source
    mode new_resource.mode
    variables config: new_resource.config
  end
end
